package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

public class BaseBean implements Parcelable  {

    private String box_number = ""; //
    private String goods_id = ""; //
    private String unit_code = ""; //
    private String node_code = ""; //
    private String node_name = ""; //
    private String options_type = "radio"; //
    private String result = ""; //
    private List<OptionsBean> options = new ArrayList<>(); //
    private List<NeedPhotoBean> need_photos = new ArrayList<>(); //
    private SuspendBean zhong_duan = new SuspendBean(); //

    public BaseBean(){

    }


    protected BaseBean(Parcel in) {
        box_number = in.readString();
        goods_id = in.readString();
        unit_code = in.readString();
        node_code = in.readString();
        node_name = in.readString();
        options_type = in.readString();
        result = in.readString();
        options = in.createTypedArrayList(OptionsBean.CREATOR);
        need_photos = in.createTypedArrayList(NeedPhotoBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(box_number);
        dest.writeString(goods_id);
        dest.writeString(unit_code);
        dest.writeString(node_code);
        dest.writeString(node_name);
        dest.writeString(options_type);
        dest.writeString(result);
        dest.writeTypedList(options);
        dest.writeTypedList(need_photos);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<BaseBean> CREATOR = new Creator<BaseBean>() {
        @Override
        public BaseBean createFromParcel(Parcel in) {
            return new BaseBean(in);
        }

        @Override
        public BaseBean[] newArray(int size) {
            return new BaseBean[size];
        }
    };

    public String getBoxNumber() {
        return box_number;
    }

    public void setBoxNumber(String box_number) {
        this.box_number = box_number;
    }

    public String getGoodsId() {
        return goods_id;
    }

    public void setGoodsId(String goods_id) {
        this.goods_id = goods_id;
    }

    public String getUnitCode() {
        return unit_code;
    }

    public void setUnitCode(String unit_code) {
        this.unit_code = unit_code;
    }

    public String getNodeCode() {
        return node_code;
    }

    public void setNodeCode(String node_code) {
        this.node_code = node_code;
    }

    public String getOptionsType() {
        return options_type;
    }

    public void setOptionsType(String options_type) {
        this.options_type = options_type;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public List<OptionsBean> getOptions() {
        return options;
    }

    public void setOptions(List<OptionsBean> options) {
        this.options = options;
    }

    public List<NeedPhotoBean> getNeedPhotos() {
        return need_photos;
    }

    public void setNeedPhotos(List<NeedPhotoBean> need_photos) {
        this.need_photos = need_photos;
    }

    public SuspendBean getZhongDuan() {
        return zhong_duan;
    }

    public void setZhongDuan(SuspendBean zhong_duan) {
        this.zhong_duan = zhong_duan;
    }

    public String getNodeName() {
        return node_name;
    }

    public void setNodeName(String node_name) {
        this.node_name = node_name;
    }
}
